package com.hzya.frame.sys.thirdparty.api.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.thirdparty.api.dao.ISysThirdpartyapiMapper;
import com.hzya.frame.sys.thirdparty.api.entity.SysThirdpartyapi;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 第三方应用接口表  dao
 * @tableName: sys_thirdparty_api
 * @entityName: SysThirdpartyapi
 * @author: gjh
 * @history:1.0
 */
@Service
public class SysThirdpartyapiMapperImpl extends MybatisGenericDao<SysThirdpartyapi, String> implements ISysThirdpartyapiMapper {

    @Override
    public SysThirdpartyapi entity_get(String id) {
        SysThirdpartyapi o = (SysThirdpartyapi) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<SysThirdpartyapi> entity_list_base(SysThirdpartyapi entity) {
        List<SysThirdpartyapi> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(SysThirdpartyapi entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<SysThirdpartyapi> entity_list_like(SysThirdpartyapi entity) {
        List<SysThirdpartyapi> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<SysThirdpartyapi> entity_list_or(SysThirdpartyapi entity) {
        List<SysThirdpartyapi> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public SysThirdpartyapi entity_insert(SysThirdpartyapi entity) {
        entity = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return entity;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(SysThirdpartyapi entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(SysThirdpartyapi entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(SysThirdpartyapi entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(SysThirdpartyapi entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }


    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<String> entity_getID_by_thirdpartyProductId(List<String> ids) {
        List<String> o = (List<String>) super.selectList(getSqlIdPrifx() + "entity_getID_by_thirdpartyProductId", ids);
        return o;

    }

    //逻辑删除    delect_by_ThirdpartyApiId
    @Override
    public Integer delect_by_Id(List<String> entity) {
        Integer o = super.update(getSqlIdPrifx() + "delect_by_Id", entity);
        return o;
    }
}
